import { publish, publishDevops } from '../src/publish';

describe('上传资源信息', () => {
  test('使用devopsPublish后无需询问', () => {
    publishDevops({
      token: '121212',
      comment: '1212',
      server: 'http://hhhhh.haimaiche.net/api',
      projectId: 222,
      javascripts: ['xxx'],
      styles: ['1212'],
      html: '121212',
      hash: '1212',
    }).then((data) => {
      expect(data.code).toBe(5002);
    });
  });
  test('使用comment后无需询问', () => {
    publish({
      comment: '1212',
      server: 'http://hhhhh.haimaiche.net/api',
      projectId: 222,
      javascripts: ['xxx'],
      styles: ['1212'],
      html: '121212',
      hash: '1212',
    }).then((data) => {
      expect(data.code).toBe(5002);
    });
  });
});
