import { AxiosInstance } from 'axios';
export interface ApiOptions {
    server: string;
}
export interface PublishParams {
    projectId: number;
    styles: string[];
    javascripts: string[];
    token: string;
    version: string;
    html?: string;
    pushNote?: string;
}
export interface DevopsPublishParams {
    projectId: number;
    styles: string[];
    javascripts: string[];
    pushToken?: string;
    version: string;
    pushNote?: string;
    html?: string;
}
export default class Api {
    server: string;
    axios: AxiosInstance;
    constructor(options: ApiOptions);
    publish(params: PublishParams): Promise<any>;
    publishDevops(params: DevopsPublishParams): Promise<any>;
}
